/*
Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
Click nbfs://nbhost/SystemFileSystem/Templates/JSP_Servlet/CascadeStyleSheet.css to edit this template
*/
/* 
    Created on : 29 may 2025, 10:50:31 a.m.
    Author     : cesarivancruzmartinez
*/
:root{
    --corGradPositivaBorder: #00aacc;
    --corGradNegativaBorder: #807d7d;
    --corGeralBorda: #00aacc;
    --corGeralBotao: #00d4ff;
        --corFonte: #0d89ec;
    --corFonteBtn: #ffff;
    --corGeral: #00a5c9;
    --corGradPositiva: #00a5c9;
    --corGradNegativa: #aeaaaa;
    --fonteGradPositiva: white;
    --fonteGradNegativa: black;
    --corCabecalho: #fff;
    
    
    
    --colorSubEtiqueta: #515a5a;
    
    }

.input-container{
    position:relative;
    border: 1px solid #e5e5e5 !important;
    background-color: #f7f7f7 !important;
    padding: 10px !important;
    height: 60px !important;
    transition: all 0.5s ease-in-out;
}

.input-container-area{
    height: auto !important;
}

.input-container label{
    position:absolute;
    top:0px;
    left:10px;
    font-size:12px;
    color: var(--primary-app);
    text-decoration: underline;
        
}

.label{
    top:8px !important;
}

.label2{
    top:4px !important;
}

.input-container label > span{
    position:relative;
    left: 5px;
    font-size:15px;
    color: red;
    margin-left: 0em!important;
}

.input-container input{ 
  border:0;
  background:transparent;
  width:100%;
  padding:20px 0 5px 0;
  font-size:14px;
  font-weight: 200;
  color:#000;
}

.input-container .ui-chkbox{ 
  border:0;
  background:transparent;
  width:100%;
  padding:20px 0 5px 0;
  font-size:14px;
  font-weight: 200;
  color:#000;
}

.input-container:has(input:focus){ 
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);	
}

.input-container input:focus ~ label,
.input-container input:valid ~ label{
    top:5px;
    font-size:12px;
    color: var(--primary-app);
    text-decoration: underline;
	
}

.new-order .ui-selectonemenu {
    border: 0px !important;
    background: transparent !important;
    padding-top: 12px !important;
}

.new-order .ui-selectonemenu .ui-selectonemenu-label {
    padding-left: 0px !important;
    padding-right: 0px !important;
}

.new-order .ui-selectonemenu > label{
    position: relative;
    left: 0px;
    top: 0px;
    font-size:14px;
    font-weight: 200;
    color:#000;
    text-decoration: none !important;
}

.new-order .ui-selectonemenu.ui-state-focus {
    box-shadow: none !important;
}

textarea{
    margin-top: 10px!important;
    background: transparent !important;
    border: 0px !important;
}

.btn-calculate {
    display: inline-block;
    background-color: var(--corGeral);
    border-radius: 6px;
    font-family: 'Montserrat', sans-serif;
    font-weight: 500;
    font-size: 10px;
    letter-spacing: 2px;
    color: var(--corFonteBtn);
    margin: 0 5px 0 0;
    padding: 20px 12px;
    outline: none;
    cursor: pointer;
    border: none !important;
    border-bottom: 2px solid !important;
}

.btn-calculate {
    border-bottom-color: var(--corGeralBorda) !important;
    filter: brightness(1);
}

.left5 {
    margin-left: 5px !important;
}

.labelBlue{
    font-size: 20px !important;
    color: var(--primary-app);
    font-family: 'Montserrat', sans-serif;
    font-weight: 300;
}

.labelGrey{
    background: var(--primary-app);
    padding: 10px 20px;
    font-size: 20px !important;
    color: var(--base-app);
    font-weight: 300;
    border-radius: 12px;
}

.labelGreySm{
    padding: 5px 10px;
    font-size: 12px !important;
    font-weight: 500;
    background: #607d8b;
}

.subEtiqueta{
    width: 100%;
    font-size: 12px !important;
    color: var(--colorSubEtiqueta);
    font-family: 'Montserrat', sans-serif;
    font-weight: 600;
    padding: 5px 5px;
    text-align: center;
}

.imageModeloMontura{
    margin-top: 1em;
    width: 80%;
    height: auto;
}

.imageMontura{
    margin-top: 3em;
    width: 60%;
    height: auto;
}

.labelCustom{
    font-family: 'Montserrat', sans-serif;
    font-weight: 300;
}

.labelCustomMontura{
    font-family: 'Montserrat', sans-serif;
    font-weight: 400;
    font-size: 1.2em !important;
}

.labelMontura{
    font-family: 'Montserrat', sans-serif;
    font-weight: 400;
    font-size: 1.2em !important;
    color: #0d89ec;
}

.notaMontura{
    font-family: 'Montserrat', sans-serif;
    font-weight: 500;
    font-size: 1em !important;
    color: #B3331B;
}

.labelstate{
    font-family: 'Montserrat', sans-serif;
    font-weight: 400;
    font-size: 12px !important;
    background: #f8f9fa;
    padding: 10px 20px;
    border-radius: 12px;
}

.containerLabel{
    font-weight: 500;
    line-height: 30px;
    letter-spacing: 1px;
    min-height: 50px;
    padding: 10px 20px;
    border-radius: 8px;
    text-align: center;
    background: var(--colorSubEtiqueta);;
    color: #fff;
    border: 1px solid #e5e5e5;  
}

.txtBlue{
    color: var(--corFonte);
}

.ImagemModelo .Imagem {
    width: 90%;
    height: auto;
    /*display: block;*/
    -webkit-transition: all 0.4s ease;
    -moz-transition: all 0.4s ease;
    -o-transition: all 0.4s ease;
    -ms-transition: all 0.4s ease;
    transition: all 0.4s ease;
}

.ImagemModelo .Imagem {
    height: 80%;
    width: 80%;
    object-fit: contain;
}

.ImagemModelo .Imagem:hover {
  -ms-transform: scale(1.15); /* IE 9 */
  -webkit-transform: scale(1.15); /* Safari 3-8 */
  transform: scale(1.15); 
}

.badge {
    display: inline-block;
    padding: .25em .4em;
    font-size: 75%;
    font-weight: 700;
    line-height: 1;
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;
    border-radius: .25rem;
    transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}

.badge-upload {
    display: inline-block;
    padding: 10px 20px;
    font-size: 0.8em;
    font-weight: 400;
    line-height: 1;
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;
    border-radius: .25rem;
    transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}


.HideDiv {
    display: none !important;
}

.badge-secondary {
    color: #fff;
    background-color: #6c757d;
}

.ImagemModelo .badge {
    position: absolute;
    right: 15%;
    margin: 0 5px 0 0;
    width: auto;
    height: 30px;
    border-radius: 100%;
    background-color: var(--corGeral);
    display: flex;
    flex-direction: column;
    z-index: 2001;
}

.ImagemModelo .badge-upload {
    /*position: absolute;
    top: 80%;*/
    margin-left: auto;
    margin-right: auto;
    width: auto;
    border-radius: 12px;
    background-color: #198754;
    display: inline-block;
    flex-direction: column;
    z-index: 2001;
}

.ui-spinner{
    width: 100% !important;
}

body .ui-spinner .ui-spinner-input {
    padding-right: 1rem;
    font-size: 14px;
}

.ui-spinner .ui-spinner-button.ui-button {
    width: auto!important;
    background: transparent;
    border: 1px solid #e5e5e5 ;
    right: -10px;
}

.ui-spinner-button > .ui-button-text{
   padding: .3em 0.8em !important;
}

.ui-toggleswitch{
    margin-top: 20px;
}

input.ui-spinner-input {
    text-align: left !important;
    width: 100% !important;
}

body .ui-toggleswitch {
    height: 1.4rem;
}

.hideComponente{
    display: none !important;
}

.ui-selectoneradio label{
    font-family: 'Montserrat', sans-serif;
    font-weight: 400;
    font-size: 0.8em;
}

.ui-selectoneradio.ui-widget td {
    padding-left: 30px;
    padding-right: 30px;
}

.divider{
    width: 100%;
    border-bottom: 1px solid #dee2e6 !important;
}

.btn-save-order{
    font-size: 2em !important;
}

.btn-save-order:hover,
.btn-save-order:active{
    background: var(--primary-app) !important;
}

.input-container:has(.ui-state-error){
    border:1px solid #f44336 !important;
}

.alert-info {
    background: #b3e5fc !important;
    border: 1px solid #03a9f4 !important;
    border-width: 0 0 0 3px !important;
    color: #01579b !important;
}

.ui-selectonemenu-item{
    font-size: 0.8em !important;
}

.ui-panel .ui-panel-content {
    background: transparent !important;
}

.formSearch{
    border-radius: 30px;
    border: 1px solid #e5e5e5;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);	
    padding: 20px 50px;
}

.formData{
    border-radius: 30px;
    border: 1px solid #e5e5e5;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);	
    padding: 30px 50px;
}

.labelData{
    background: #ffc107;
    color: #000000;
}

.regContent{
    font-size: 0.8em !important;
}

.ui-datatable thead th .ui-column-title {
    font-weight: 600 !important;
    font-size: 0.8em !important;
    color: #607d8b;
}

.brHide{
    display: none;
}

.ui-chip-success{
    /*background-color: #28a745 !important;
    background-color: rgba(40, 167, 60, 0.7) !important; 
    color: #ffffff !important; */
    border: 1px solid #28a745;
    color: #28a745 !important; 
    background-color: transparent !important; 
    cursor: pointer;
}

.ui-chip-success{
    /*background-color: #28a745 !important;
    background-color: rgba(40, 167, 60, 0.7) !important; 
    color: #ffffff !important; */
    border: 1px solid #28a745;
    color: #28a745 !important; 
    background-color: transparent !important; 
    cursor: pointer;
}

.ui-chip-success:hover{
    border: 1px solid #28a745;
    color: #ffffff !important; 
    background-color: #28a745 !important; 
    cursor: pointer;
}

.ui-chip-primary{
    /*background-color: #5499c7 !important; 
    background-color: rgba(84, 153, 199, 0.7) !important; 
    color: #ffffff !important;*/ 
    border: 1px solid #5499c7;
    color: #5499c7 !important; 
    background-color: transparent !important; 
    cursor: pointer;
}

.ui-chip-primary:hover{
    border: 1px solid #5499c7;
    color: #ffffff !important; 
    background-color: #5499c7 !important; 
    cursor: pointer;
}

.ui-chip-info{
    /*background-color: #607d8b !important;
    background-color: rgba(96, 125, 139, 0.7) !important; 
    color: #ffffff !important; */
    border: 1px solid #607d8b;
    color: #607d8b !important; 
    background-color: transparent !important; 
    cursor: pointer;
}

.ui-chip-info:hover{
    border: 1px solid #607d8b;
    color: #ffffff !important; 
    background-color: #607d8b !important; 
    cursor: pointer;
}

.ui-chip-danger{
    /*background-color: #d32f2f !important;
    background-color: rgba(211, 47, 47, 0.7) !important; 
    color: #ffffff !important; */
    border: 1px solid #d32f2f;
    color: #d32f2f !important; 
    background-color: transparent !important; 
    cursor: pointer;
}

.ui-chip-danger:hover{
    border: 1px solid #d32f2f;
    color: #ffffff !important; 
    background-color: #d32f2f !important; 
    cursor: pointer;
}

.ui-chip-warning{
    /*background-color: #d32f2f !important;
    background-color: rgba(211, 47, 47, 0.7) !important; 
    color: #ffffff !important; */
    border: 1px solid #ffc107;
    color: #ffc107 !important; 
    background-color: transparent !important; 
    cursor: pointer;
}

.ui-chip-warning:hover{
    border: 1px solid #ffc107;
    color: #ffffff !important; 
    background-color: #ffc107 !important; 
    cursor: pointer;
}

@media only screen and (max-width: 400px){ 

    .formSearch{
        padding: 20px 10px;
    }

    .formData{	
        padding: 20px 0px 20px 10px;
    }
    
    .brHide{
        display: block !important;
    }
    
}

.marcaContainer{
    position: absolute;
    bottom: 0px;
    left: 0px;
    background: rgba(0,0,0,0.2);
}

.marca{
    position: absolute;
    bottom: 0px;
    left: 0px;
    background: rgba(255,255,255,0.2);
}

.circle {
    padding: 2px 4px;
    border-radius: 50%; /* This makes it circular */
}

body .ui-inputfield.ui-state-hover,
body .ui-selectonemenu.ui-state-hover{
    border-color: var(--primary-app);
}


/*body .ui-inputfield.ui-state-focus,
body .ui-selectonemenu.ui-state-focus {
    border-color: var(--primary-app);
    outline: 0 none;
    box-shadow: 0 0 0 .2em var(--primary-app);
}*/

body .ui-fileupload .ui-fileupload-buttonbar .ui-button:hover {
    background: var(--primary-app);
    border-color: var(--primary-app);
}

.input-container .labelInfo {
    position: absolute;
    top: 25%;
    right: 10px;
    font-size: 1.5em;
    color: var(--info-app);
}